function y=idx2bstr(x)
% SYNTAX: function y=idx2bstr(x)
%
% DESCRIPTION: Transform indexes to bitstrings
% Suppose a bitstring is the i-th bitstring in the list of all
% bitstrings 0, 1, 00, 01, 10, 11, 000, ... .  Then  i  is called
% the index of the given bitstring.  The function 
% idx2bstr(i) computes a bitstring from its index i.  
%
% SEE ALSO: prtbstr, bstr2idx, inbstr
%
% Author: John Kieffer.
% minor modifications and adaptations by JFB (bercherj@esiee.fr) - Nov 2011

S=x+1;
i=1;
while S>1
z(i)=rem(S,2);
S=fix(S/2);
i=i+1;
end
N=length(z);
j=1:N;
k=N+1-j;
y=z(k);




