function y=prbstr(x)
% SYNTAX: function y=prbstr(x)
%
% DESCRIPTION: Print bitstrings on the screen.
% Let b(i) denote the binary string with index i. 
% If x=(i1,i2,...,ik), executing print_bitstrings(x) 
% yields a display of the strings b(i1), b(i2), ..., b(ik) 
% on the screen
%
% SEE ALSO: idx2bstr, bstr2idx
%
% Author: John Kieffer.
% minor modifications and adaptations by JFB (bercherj@esiee.fr) - Nov 2011

N=length(x);
for i=1:N;
z=idx2bstr(x(i)); %index_to_bitsrings
M=length(z);
for j=1:M;
fprintf(1,'%1.0f',z(j))
end
fprintf(1,'\n')
end





