function [out]=quantify(in,b,MIN,MAX);
% SYNTAX:  [out]=quantify(in,b,MIN,MAX);
%
% DESCRIPTION: This function gives the quantified version of in
% on b bits, for values between MIN and MAX
%
% AUTHOR: JFB (october 2011)

if (MIN==MAX), 
   if (MAX==0)
      out=zeros(size(in));
   else
      out=ones(size(in)); 
   end;
else
   out=round((in-MIN)/(MAX-MIN)*(2^b-1));
end;   

