function [cat,bin] = cat_code(RV) ;
% SYNTAX: function [cat,bin] = cat_code(RV) ;
%
% DESCRIPTION: Returns the category code and binary stream corresponding
% to the Run Value code RV. 
%
% RV is the vector [Run Value]
% AUTHOR: JFB (may 2002)

if RV(2)==0
cat = 0;
bin=0;
else
cat=msb(abs(RV(2)))+1;
bin=dec2bin(RV(2),cat);
end;